package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 20.人身核对结果查询接口 GET请求方式
 * @class: FaceQueryReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:34
 */
@Data
public class Nft020FaceQueryReqDto implements Serializable {
    /**
     * 用户唯一标识
     */
    private String userIdentification;
    /**
     * 人脸请求的唯一ID
     */
    private String faceId;
    private static final Nft020FaceQueryReqDto obj = new Nft020FaceQueryReqDto();
    private static final long serialVersionUID = 7381717431914188164L;

    public static Nft020FaceQueryReqDto getNew() {
        try {
            return (Nft020FaceQueryReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft020FaceQueryReqDto();
        }
    }
}
